UPDATE CustomModOptions SET Value = 1 WHERE Name = "EVENTS_RESOLUTIONS";

INSERT INTO Events (Type,EventClass,Description,Help,EventArt,EventAudio,RandomChance,RandomChanceDelta,IsOneShot,IgnoresGlobalCooldown,Global,EraScaling,EventCooldown,NumChoices) VALUES
('PLAYER_EVENT_ASSIGN_WORLD_FAIR','EVENT_CLASS_NEUTRAL','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_HELP',NULL,'AS2D_INTERFACE_CITY_TILE',0,0,'false','false','false','false',10,2),
('PLAYER_EVENT_ASSIGN_ISS','EVENT_CLASS_NEUTRAL','TXT_KEY_PLAYER_EVENT_ASSIGN_ISS','TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_HELP',NULL,'AS2D_INTERFACE_CITY_TILE',0,0,'false','false','false','false',10,2),
('PLAYER_EVENT_ASSIGN_WORLD_GAMES','EVENT_CLASS_NEUTRAL','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_HELP',NULL,'AS2D_INTERFACE_CITY_TILE',0,0,'false','false','false','false',10,2),
('PLAYER_EVENT_ASSIGN_TREASURE_FLEET','EVENT_CLASS_NEUTRAL','TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET','TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_HELP',NULL,'AS2D_INTERFACE_CITY_TILE',0,0,'false','false','false','false',10,2),
('PLAYER_EVENT_ASSIGN_WARGAMES','EVENT_CLASS_NEUTRAL','TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES','TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_HELP',NULL,'AS2D_INTERFACE_CITY_TILE',0,0,'false','false','false','false',10,2),
('PLAYER_EVENT_ASSIGN_UN','EVENT_CLASS_NEUTRAL','TXT_KEY_PLAYER_EVENT_ASSIGN_UN','TXT_KEY_PLAYER_EVENT_ASSIGN_UN_HELP',NULL,'AS2D_INTERFACE_CITY_TILE',0,0,'false','false','false','false',10,2);

INSERT INTO Event_ParentEvents (EventChoiceType,EventType) VALUES 
('PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_1','PLAYER_EVENT_ASSIGN_WORLD_FAIR'),
('PLAYER_EVENT_ASSIGN_ISS_CHOICE_1','PLAYER_EVENT_ASSIGN_ISS'),
('PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_1','PLAYER_EVENT_ASSIGN_WORLD_GAMES'),
('PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_1','PLAYER_EVENT_ASSIGN_TREASURE_FLEET'),
('PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_1','PLAYER_EVENT_ASSIGN_WARGAMES'),
('PLAYER_EVENT_ASSIGN_UN_CHOICE_1','PLAYER_EVENT_ASSIGN_UN'),

('PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_2','PLAYER_EVENT_ASSIGN_WORLD_FAIR'),
('PLAYER_EVENT_ASSIGN_ISS_CHOICE_2','PLAYER_EVENT_ASSIGN_ISS'),
('PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_2','PLAYER_EVENT_ASSIGN_WORLD_GAMES'),
('PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_2','PLAYER_EVENT_ASSIGN_TREASURE_FLEET'),
('PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_2','PLAYER_EVENT_ASSIGN_WARGAMES'),
('PLAYER_EVENT_ASSIGN_UN_CHOICE_2','PLAYER_EVENT_ASSIGN_UN');

INSERT INTO EventChoices (Type,Description,Help,DisabledTooltip,EventChoiceAudio,IsOneShot,EventDuration,EraScaling,EventChance,Expires) VALUES 
('PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_1_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),
('PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_2_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),

('PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_1_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),
('PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_2_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),

('PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_1_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),
('PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_2_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),

('PLAYER_EVENT_ASSIGN_UN_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_UN_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_UN_CHOICE_1_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),
('PLAYER_EVENT_ASSIGN_UN_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_UN_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_UN_CHOICE_2_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),

('PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_1_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),
('PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_2_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),

('PLAYER_EVENT_ASSIGN_ISS_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_CHOICE_1','TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_CHOICE_1_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true'),
('PLAYER_EVENT_ASSIGN_ISS_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_CHOICE_2','TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_CHOICE_2_HELP',NULL,'AS2D_EVENT_CHOICE','false',5,'false',0,'true');

-- Maybe add individual flavors in future
INSERT INTO Language_en_US (Tag, Text) VALUES
("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR", "World's Fair"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES", "International Games"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET", "Treasure Fleet"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES", "Wargames"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_ISS", "International Space Station"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_UN", "United Nations"),

("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_HELP", "World Congress has passed the resolution for the World's Fair!"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_HELP", "World Congress has passed the resolution for the International Games!"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_HELP", "World Congress has passed the resolution for Treasure Fleet!"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_HELP", "World Congress has passed the resolution for Wargames!"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_HELP", "World Congress has passed the resolution for the International Space Station!"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_UN_HELP", "World Congress has passed the resolution for the United Nations!"),

("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_1", "Assign all cities to this project."),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_1", "Assign all cities to this project."),
("TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_1", "Assign all cities to this project."),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_1", "Assign all cities to this project."),
("TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_CHOICE_1", "Assign all cities to this project."),
("TXT_KEY_PLAYER_EVENT_ASSIGN_UN_CHOICE_1", "Assign all cities to this project."),

("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_2", "Continue"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_2", "Continue"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_2", "Continue"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_2", "Continue"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_CHOICE_2", "Continue"),
("TXT_KEY_PLAYER_EVENT_ASSIGN_UN_CHOICE_2", "Continue"),

("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_1_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_1_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_1_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_1_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_CHOICE_1_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_UN_CHOICE_1_HELP", ""),

("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_FAIR_CHOICE_2_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WORLD_GAMES_CHOICE_2_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_TREASURE_FLEET_CHOICE_2_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_WARGAMES_CHOICE_2_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_ISS_CHOICE_2_HELP", ""),
("TXT_KEY_PLAYER_EVENT_ASSIGN_UN_CHOICE_2_HELP", "");


